Package org.apache.sysds.runtime.frame.data.lib

## Class FrameLibApplySchema

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.lib.FrameLibApplySchema

    public class FrameLibApplySchema
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameBlock` `applySchema​(FrameBlock fb, Types.ValueType[] schema)` Method to create a new FrameBlock where the given schema is applied.
`static FrameBlock` `applySchema​(FrameBlock fb, Types.ValueType[] schema, int k)` Method to create a new FrameBlock where the given schema is applied, k is the parallelization degree.
`static FrameBlock` `applySchema​(FrameBlock fb, FrameBlock schema, int k)` Method to create a new FrameBlock where the given schema is applied, k is the parallelization degree.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### applySchema

    public static FrameBlock applySchema​(FrameBlock fb,
                                         FrameBlock schema,
                                         int k)

Method to create a new FrameBlock where the given schema is applied, k is the parallelization degree.

Parameters:
  `fb` - The input block to apply schema to
  `schema` - The schema to apply
  `k` - The parallelization degree
Returns:
  A new FrameBlock allocated with new arrays.

#### applySchema

    public static FrameBlock applySchema​(FrameBlock fb,
                                         Types.ValueType[] schema)

Method to create a new FrameBlock where the given schema is applied.

Parameters:
  `fb` - The input block to apply schema to
  `schema` - The schema to apply
Returns:
  A new FrameBlock allocated with new arrays.

#### applySchema

    public static FrameBlock applySchema​(FrameBlock fb,
                                         Types.ValueType[] schema,
                                         int k)

Method to create a new FrameBlock where the given schema is applied, k is the parallelization degree.

Parameters:
  `fb` - The input block to apply schema to
  `schema` - The schema to apply
  `k` - The parallelization degree
Returns:
  A new FrameBlock allocated with new arrays.